## ros-noetic-hri-msgs 0.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(hri_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  sensor_msgs
)

add_message_files(
    DIRECTORY msg
    FILES
    AudioFeatures.msg
    BodyPosture.msg
    EngagementLevel.msg
    Expression.msg
    FacialActionUnits.msg
    FacialLandmarks.msg
    Gaze.msg
    Gesture.msg
    Group.msg
    IdsList.msg
    IdsMatch.msg
    LiveSpeech.msg
    NormalizedPointOfInterest2D.msg
    NormalizedPointOfInterest2DStamped.msg
    NormalizedRegionOfInterest2D.msg
    Skeleton2D.msg
    SoftBiometrics.msg

    # list here the .msg files
)


generate_messages(
    DEPENDENCIES
    sensor_msgs
)

catkin_package(
    CATKIN_DEPENDS 
    sensor_msgs
)

=== debian/changelog ===
ros-noetic-hri-msgs (0.8.0-1focal) focal; urgency=high

  * add Stamped and unstamped versions of NormalizedPointOfInterest2d
  * move LookAtWithStyle.msg to hri_actions_msgs
  * Rename point and region of interest messages to
    'Normalized[PointOfInterest2d|RegionOfInterest2D]'
  * Add RegionOfInterest2D messages
    This message represents a 2D region-of-interest with an associated confidence. The message contains a Header-type field to allow easy synchronisation with other messages.
  * Contributors: Francesco Tonini, Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 30 Aug 2022 22:00:00 -0000

ros-noetic-hri-msgs (0.7.2-1focal) focal; urgency=high

  * Merge branch 'gaze-style' into 'master'
    create LookAtWithStyle.msg
    See merge request ros4hri/hri_msgs!3
  * create LookAtWithStyle.msg
    users can specify how the GazeManager creates trajectories using the
    style member.
    currently NORMAL (using both neck and eyes) as well as EYES_ONLY and
    NECK_ONLY exist and are supported by the GazeManager v2.
  * Contributors: Séverin Lemaignan, llach

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 19 Jul 2022 22:00:00 -0000

ros-noetic-hri-msgs (0.7.1-1focal) focal; urgency=high

  * add missing 'AudioFeatures.msg' and 'LiveSpeech.msg' to CMakeLists
  * [IdsMatch] clarify semantic of confidence level for anonymous persons
  * Contributors: Séverin Lemaignan, saracooper

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 19 Jul 2022 22:00:00 -0000

ros-noetic-hri-msgs (0.7.0-1focal) focal; urgency=high

  * expressions: expand list + use string constants
    The list is based on Chambers' MSc thesis, Bristol Robotics lab 2020
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 27 Jun 2022 22:00:00 -0000

ros-noetic-hri-msgs (0.6.0-1focal) focal; urgency=high

  * revise IdsMatch to enable associations between any 2 ids, incl ids of same type
    This is especially useful to be able to 'merge' 2 people (eg, alias one to the other)
    by publishing a 'match' between 2 person ids
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 31 May 2022 22:00:00 -0000

ros-noetic-hri-msgs (0.5.2-1focal) focal; urgency=high

  * omitted to update CMakeLists
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 03 May 2022 22:00:00 -0000

ros-noetic-hri-msgs (0.5.1-1focal) focal; urgency=high

  * add more info about the EngagementLevel msg
  * Contributors: antonioandriella

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 03 May 2022 22:00:00 -0000

ros-noetic-hri-msgs (0.5.0-1focal) focal; urgency=high

  * add social engagement msg with 5 discrete levels
  * add confidence to Expression message
  * update README
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sun, 01 May 2022 22:00:00 -0000

ros-noetic-hri-msgs (0.4.1-1focal) focal; urgency=high

  * CMakeLists: update references to BodyPosture and Gesture messages
  * add BSD LICENSE file
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 24 Jan 2022 23:00:00 -0000

ros-noetic-hri-msgs (0.4.0-1focal) focal; urgency=high

  * split BodyAttitude into BodyPosture and Gesture
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 24 Jan 2022 23:00:00 -0000

ros-noetic-hri-msgs (0.3.0-1focal) focal; urgency=high

  * remove GroupsStamped and GazesStamped
    GroupsStamped and GazesStamped are essentially arrays of Groups and Gazes, they are not needed as
    nodes would simply publish several message on the corresponding topics
  * {GazeSenderReceiver->Gaze}.msg and rename fields in Group.msg and GazeSenderReceiver.msg
  * add LiveSpeech.msg for encoding of incremental results of speech-to-text
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 20 Jan 2022 23:00:00 -0000

ros-noetic-hri-msgs (0.2.1-1focal) focal; urgency=high

  * update CMakeLists following removing/renaming of messages
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-hri-msgs (0.2.0-1focal) focal; urgency=high

  * AgeAndGender.msg -> SoftBiometrics.msg
  * remove RoIStamped, as not necessary
    The original rationale was to be able to match the RoI to the orginal sourc eimage via the timestamp,
    but it was clunky, and we have decided instead to republish the face image under cropped, alleviating
    the need for the connection to the source image.
  * IdsMatch: revise semantic to enable eg face<->body matches
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-hri-msgs (0.1.2-1focal) focal; urgency=high

  * Added IdsMatch.msg to publish potential matches between face/body/voice ids
    and person ids

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 30 Nov 2021 23:00:00 -0000

ros-noetic-hri-msgs (0.1.1-1focal) focal; urgency=high

  * Added CHANGELOG

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 08 Nov 2021 23:00:00 -0000

ros-noetic-hri-msgs (0.1.0-1focal) focal; urgency=high

  * package.xml format 3 + clean up of unused dependencies
  * Removed services which do not make sense in the current ros4hri standard
  * IdsList.msg: add a header
    This is critical to be able to reliably match the list of tracked faces/bodies/voices to actually face/body/voice subtopics.
  * IdsList and RegionOfInterestStamped were not actualyl built
  * Added a stamped version of RegionOfInterest
    This is important to associate the timestamp of the original image to eg a detected face RoI
  * add msg for list of face/body/voice/person ids


=== debian/control ===
Source: ros-noetic-hri-msgs
Section: misc
Priority: optional
Maintainer: Séverin Lemaignan <severin.lemaignan@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-hri-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-sensor-msgs
Description: Messages, services and action definitions useful for Human-Robot Interaction
